跳转到主要内容
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
service-accounts
创建账户服务账号
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/service-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "token": "<string>",
  "token_last4": "<string>",
  "token_prefix": "<string>",
  "token_public_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z",
  "revoked_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

路径参数

account_id
string<uuid>
必填

请求体

application/json

用于创建服务账号的请求正文。

name
string
必填

人类可读的服务账号名称

Required string length: 1 - 120
expires_at
string<date-time> | null

可选的 UTC 令牌过期时间戳

响应

account_id
string<uuid>
必填
created_at
string<date-time>
必填
id
string<uuid>
必填
name
string
必填
token
string
必填

明文 bearer 令牌。请立即保存;它不会再次返回。

token_last4
string
必填
token_prefix
string
必填
token_public_id
string
必填
updated_at
string<date-time>
必填
created_by_user_id
string<uuid> | null
expires_at
string<date-time> | null
last_used_at
string<date-time> | null
revoked_at
string<date-time> | null
revoked_by_user_id
string<uuid> | null